Subject: Re: [PATCH net] vxlan: revert per-vxlan port

From: Sridhar Samudrala <[email-masked]>
Date: Thu, 23 May 2013 15:35:57 -0700

On 5/23/2013 1:06 PM, David Stevens wrote:
> Stephen Hemminger <[email-masked]> wrote on 05/23/2013
> 03:18:04 PM:
>
>   
>> With the patch davem already included, the dstport is enough
>> to add additional listener.
>          If you're saying that using the dstport changes the
> listen port, or adds another listen port, then I think that
> behaviour is wrong and should be reverted.
I agree that using 'dstport' option to also create a socket and binding 
to that port for
receives is confusing. As the name suggests, it should only be used as a 
default dst
port for fdb entries.

>          An admin should be able to specify the source and destination
> ports independently of each other. If dstport has a side-effect that
> is unrelated to changing the destination port, that's what I'd call
> "confusing."
>          IMHO, "port" should change the listen port (only) and "dstport"
> should change the send port (only). And yes, both of those should allow
> multiple ports, and destinations. So, binding should be a list of
> the form: "[IP:]port[,[IP:]port]*" and destinations should be the same
> as in the fdb, allowing multiple destinations and different ports, and
> different vni's. It should be simply a "default" fdb entry in all
> respects.
Currently 'port' option takes 2 values that indicate the range of ports 
that can be used as
source port when sending vxlan packets.

So we don't have a good way to specify listening port when creating a 
vxlan device using
the existing options.

It may be a good idea to revert dstport in linux-3.10 and  multiple 
listening ports patch in
net-next and re-implement them with 2 different options that can take a 
list of ports/addresses
as David suggested.

Thanks
Sridhar